Package com.avaya.clientservices.call.conference

## Class ConferenceRoomSystemInformation

- java.lang.Object
- - com.avaya.clientservices.call.conference.ConferenceRoomSystemInformation

-     public class ConferenceRoomSystemInformation
      extends java.lang.Object

  Class representing the conference room system information.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConferenceRoomSystemInformation()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getRoomSystemAddress()` | Returns the conference room system's network address.
    `java.lang.String` | `getRoomSystemName()` | Returns the conference room system's name.
    `ConferenceRoomSystemStatus` | `getRoomSystemStatus()` | Returns the conference room system's status.
    `int` | `hashCode()` |
    `boolean` | `isPasscodeRequired()` | Indicates whether the room system requires a passcode in order to initiate a mobile link connection.

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConferenceRoomSystemInformation

          public ConferenceRoomSystemInformation()

  - ### Method Detail

    - #### getRoomSystemAddress

          public java.lang.String getRoomSystemAddress()

      Returns the conference room system's network address.
      Returns:
        room system's network address.

    - #### isPasscodeRequired

          public boolean isPasscodeRequired()

      Indicates whether the room system requires a passcode in order to initiate a mobile link connection.
      Returns:
        true if a passcode is required, false otherwise.

    - #### getRoomSystemName

          public java.lang.String getRoomSystemName()

      Returns the conference room system's name.
      Returns:
        room system's name.

    - #### getRoomSystemStatus

          public ConferenceRoomSystemStatus getRoomSystemStatus()

      Returns the conference room system's status.
      Returns:
        room system's status.

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`